#include <iostream>
#include "bmp.h"

// Make a bitmap file that has a 100x100 pixel gray square.
int main()
{
    int i, j;
    // statically allocate space for the image
    unsigned char gray[100][100];

    // fill the 100x100 image with gray
    for (i=0; i < 100; i++)
        for (j=0; j < 100; j++)
            gray[i][j] = 127;        // mid-level gray

    // store the image to a file in bitmap format
    write_bitmap_file("gray.bmp", 100, 100, (unsigned char *) gray);

    return 0;
}
